#!/bin/sh
echo 'name: DeepArrow
version: 0.3.7
id: DeepArrow-0.3.7-7b28ac4b11642801c80ee2016ca95059

license: BSD3
copyright: (c) 2007-2012 by Conal Elliott
maintainer: conal@conal.net
stability: experimental
homepage: http://haskell.org/haskellwiki/DeepArrow
package-url:
synopsis: Arrows for "deep application"
description: This library provides a framework for type-directed composition of value
             editors (non-syntactic transformations).  The tools enable \"deep function
             application\" in two senses: deep application of functions and
             application of deep functions.  These tools generalize beyond values and
             functions, via the @DeepArrow@ subclass of the @Arrow@ type class.
             .
             For more information see:
             .
             * The project wiki page <http://haskell.org/haskellwiki/DeepArrow>
             .
             * Application of deep arrows for composable interfaces in the TV library:
             <http://haskell.org/haskellwiki/TV>
             .
             * The motivating idea and paper "Tangible Functional Programming":
             <http://conal.net/papers/Eros>
             .
             The primary module is "Control.Arrow.DeepArrow".  Examples in
             "Control.Arrow.DeepArrow.Examples".
             .
             /Note/: Many of the type signatures use infix type operators (as in
             @a~>b@).  In reading the documentation and code, be aware that infix
             operators bind more tightly than @->@.
             .
             &#169; 2007-2012 by Conal Elliott (<http://conal.net>); BSD3 license.
category: Combinators, Control
author: Conal Elliott <conal@conal.net>
exposed: True
exposed-modules: Control.Arrow.DeepArrow Data.FunArr
                 Data.DDeepArrow Language.Haskell.ToHs Language.Haskell.Parens
                 Control.Arrow.DeepArrow.Examples
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/DeepArrow-0.3.7
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/DeepArrow-0.3.7
              /usr/local/lib
hs-libraries: HSDeepArrow-0.3.7
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: TypeCompose-0.9.9-9c5cc7fe8cebd10f4c09135e469d5696
         base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
         haskell-src-1.0.1.5-334418e766f82208e1388838dd5d04e2
         mtl-2.1.2-02e701f9b1590ee88a0b5b0bd5d93a29
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/DeepArrow-0.3.7/html/DeepArrow.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/DeepArrow-0.3.7/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
